# BEGIN SourceDeps(oneline):
BuildRequires: perl(BerkeleyDB.pm) perl(BerkeleyDB/Manager.pm) perl(Data/Stream/Bulk.pm) perl(Data/Stream/Bulk/Util.pm) perl(ExtUtils/MakeMaker.pm) perl(KiokuDB.pm) perl(KiokuDB/Test.pm) perl(Moose.pm) perl(Moose/Util/TypeConstraints.pm) perl(MooseX/Types/Path/Class.pm) perl(Path/Class.pm) perl(Scalar/Util.pm) perl(Search/GIN.pm) perl(Storable.pm) perl(Test/More.pm) perl(Test/TempDir.pm) perl(Test/use/ok.pm) perl(YAML/XS.pm) perl(namespace/clean.pm) perl(ok.pm) perl(Throwable.pm)
# END SourceDeps(oneline)
%define module_version 0.15
%define module_name KiokuDB-Backend-BDB
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.15
Release: alt1
Summary: the BerkeleyDB manpage backend for the KiokuDB manpage.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/N/NU/NUFFIN/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This is a the BerkeleyDB manpage based backend for the KiokuDB manpage.

It is the best performing backend for most tasks, and is very feature complete
as well.

The the KiokuDB::Backend::BDB::GIN manpage subclass provides searching support using
the Search::GIN manpage.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes
%perl_vendor_privlib/K*

%changelog
* Tue Apr 22 2014 Igor Vlasenko <viy@altlinux.ru> 0.15-alt1
- initial import by package builder

